Bug 491467 - document Vdsm API
document Vdsm API
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Kenigsberg
infra
:
: 568004 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-21 09:01 EDT by Jia Dong
Modified: 2016-04-26 16:16 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 11:55:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jia Dong 2009-03-21 09:01:15 EDT
Description of problem:

  After developed,could developers create some explanation documents about vdsm interface and version updated information for QEs?
  We noticed that some new parameters and features were added to the new ovirt-node snap5.2.We haven't got official updated version details which contrasted with old version.
  If there are some these files,it will be more convenient and faster for us to test.
Comment 1 Barak 2009-03-21 11:33:24 EDT
The description is too generic,

Can you give me an example ?

In addition please check the help in the vdsClient to see whether it answers the issue.

In case this is not enough then please describe what do you expect to have (each build) and keep in mind we are still in the coding, and things are still rapidly changing.
Comment 2 Jia Dong 2009-03-21 22:46:16 EDT
(In reply to comment #1)
> The description is too generic,
> 
> Can you give me an example ?
> 
> In addition please check the help in the vdsClient to see whether it answers
> the issue.
> 
> In case this is not enough then please describe what do you expect to have
> (each build) and keep in mind we are still in the coding, and things are still
> rapidly changing.  

Compare vdsm-4.4-25694 in snap4 with vdsm-4.4-25304 in snap3,I make a diff to two help in the vdsClient.
For example:
   connectStoragePool
-        <spUUID>
+        <spUUID> <id> <scsi-key>

+spmStart
+        <spUUID> <prevID> <prevLVER> <recoveryMode> <scsiFencing>
+        Start SPM functionality

  It hards to clear how to get or set <id> <scsi-key> parameters.I checked storage API on wiki.It seems that it hasn't been updated for a long time.
  If add some update information,such as what the new parameters for and their type,it will be more clear.
Comment 3 Qixiang Wan 2009-04-06 06:16:47 EDT
The testing team need more details about the vdsClient usage.
for example:
1. desktopLock
when use it as "vdsClient 0 desktopLock <vmId>", get response:
"Guest agent non-responsive"
similar issue for the commands "desktopLogoff", "desktopLogin", "sendHcCmd"
we need to know how to use these commands or how to configure the environment to make them to work.

2. sendkeys
How the keys such as CTRL, ENTER, SHIFT should be represent in the command.

3. monitorCommand
What the "monitor command" means?

4. task management related commands
We need more information about the task management related commands in vdsClient.

There is little available information about vdsm we can get. It will be a great pleasure if we can get a detailed help page about the commands in vdsClient.
Comment 4 Yaniv Kaul 2009-04-06 06:19:01 EDT
I'm not sure why you are doing this communication via bugzilla, and not over emails or IRC.
Comment 5 Lawrence Lim 2009-04-06 06:39:16 EDT
Information has to be track so during bug verification we know what's being fixed.
Comment 6 Lawrence Lim 2009-04-08 02:16:34 EDT
Moving to 1.1 as there's no client requirement to create the VM from RHEV-H. The docs in 1.0 is more for RHEV-H QE consumption.
Comment 7 Qixiang Wan 2009-04-23 04:47:57 EDT
It'll be better if develop team can supply a more detailed change log come along with every build of vdsm, such as that come along with vdsm-4.4-27666. And not only the bug fix info but also new feathers or important change of APIs should be included. Specially when some features can work from that build, it should be indicated clearly.
Comment 8 Yaniv Kaul 2009-04-23 05:53:18 EDT
I think your team is spending too much time on VDSM - and not enough on lower layers. We test VDSM quite extensively.
Comment 9 Perry Myers 2009-04-23 10:32:42 EDT
(In reply to comment #7)
> It'll be better if develop team can supply a more detailed change log come
> along with every build of vdsm, such as that come along with vdsm-4.4-27666.
> And not only the bug fix info but also new feathers or important change of APIs
> should be included. Specially when some features can work from that build, it
> should be indicated clearly.  

There is a separate bug to track that issue (494762) so no need to replicate that particular request here.
Comment 12 Miki Kenneth 2009-09-22 08:30:45 EDT
postponed to 3.0
Comment 13 Dan Kenigsberg 2010-05-09 08:42:24 EDT
*** Bug 568004 has been marked as a duplicate of this bug. ***
Comment 14 Itamar Heim 2013-03-12 11:55:37 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.